org.apache.ignite.internal.processors.streamer

## Interface IgniteStreamerEx

All Superinterfaces:
  IgniteStreamer

All Known Implementing Classes:
  IgniteStreamerImpl

    public interface IgniteStreamerEx
    extends IgniteStreamer

Extended streamer context with methods intended for internal use.

### Method Summary

Methods
`StreamerEventRouter` `eventRouter()`
`GridKernalContext` `kernalContext()`
`void` `onFutureCompleted(GridStreamerStageExecutionFuture fut)` Called when future is completed and parent should be notified, if any.
`void` `onFutureMapped(GridStreamerStageExecutionFuture fut)` Called before execution requests are sent to remote nodes or scheduled for local execution.
`void` `onQueryCompleted(long time, int nodes)` Callback executed when streamer query completes.
`void` `onUndeploy(ClassLoader undeployedLdr)` Callback for undeployed class loaders.
`void` `scheduleExecutions(GridStreamerStageExecutionFuture fut, Map<UUID,GridStreamerExecutionBatch> execs)` Schedules batch executions either on local or on remote nodes.
`<E> StreamerWindow<E>` `window()` Gets streamer default window (the first one in configuration list).
`<E> StreamerWindow<E>` `window(String windowName)` Gets streamer window by window name.

### Methods inherited from interface org.apache.ignite.IgniteStreamer

`addEvent, addEvents, addEventsToStage, addEventToStage, addStreamerFailureListener, configuration, context, deployClass, metrics, name, removeStreamerFailureListener, reset, resetMetrics`

### Method Detail

#### kernalContext

    GridKernalContext kernalContext()

Returns:
  Kernal context.

#### window

    <E> StreamerWindow<E> window()

Gets streamer default window (the first one in configuration list).

Returns:
  Streamer window.

#### window

    @Nullable
    <E> StreamerWindow<E> window(String windowName)

Gets streamer window by window name.

Parameters:
  `windowName` - Window name.
Returns:
  Streamer window.

#### onFutureMapped

    void onFutureMapped(GridStreamerStageExecutionFuture fut)

Called before execution requests are sent to remote nodes or scheduled for local execution.

Parameters:
  `fut` - Future.

#### onFutureCompleted

    void onFutureCompleted(GridStreamerStageExecutionFuture fut)

Called when future is completed and parent should be notified, if any.

Parameters:
  `fut` - Future.

#### eventRouter

    StreamerEventRouter eventRouter()

Returns:
  Streamer event router.

#### scheduleExecutions

    void scheduleExecutions(GridStreamerStageExecutionFuture fut,
                          Map<UUID,GridStreamerExecutionBatch> execs)
                            throws IgniteCheckedException

Schedules batch executions either on local or on remote nodes.

Parameters:
  `fut` - Future.
  `execs` - Executions grouped by node ID.
Throws:
  `IgniteCheckedException` - If failed.

#### onUndeploy

    void onUndeploy(ClassLoader undeployedLdr)

Callback for undeployed class loaders. All deployed events will be removed from window and local storage.

Parameters:
  `undeployedLdr` - Undeployed class loader.

#### onQueryCompleted

    void onQueryCompleted(long time,
                        int nodes)

Callback executed when streamer query completes.

Parameters:
  `time` - Consumed time.
  `nodes` - Participating nodes count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015